package cn.dg32z.lon.checks.impl.movement.slimulation;

import cn.dg32z.lon.checks.Check;
import cn.dg32z.lon.checks.CheckData;
import cn.dg32z.lon.checks.type.PostPredictionCheck;
import cn.dg32z.lon.player.PlayerData;
import java.security.MessageDigest;
import java.util.StringJoiner;
import java.util.concurrent.atomic.AtomicInteger;
import javax.crypto.Cipher;
import javax.crypto.SecretKeyFactory;
import javax.crypto.spec.DESKeySpec;
import javax.crypto.spec.IvParameterSpec;

@CheckData(name = "Simulation", configName = "Simulation", description = "Move not according to vanilla", decay = 0.85d)
/* loaded from: cn_dg32z_lon_checks_impl_movement_slimulation.jar:cn/dg32z/lon/checks/impl/movement/slimulation/Simulation.class */
public final class Simulation extends Check implements PostPredictionCheck {
    private double maxCeiling;
    private double offset;
    private double threshold;
    private double setbackDecayMultiplier;
    private StringJoiner joiner;
    private double maxAdvantage;
    private double immediateSetbackThreshold;
    private double advantageGained;
    private static final AtomicInteger FLAGS;
    private boolean ignoreGhostBlock;
    private boolean silent;
    private int joinWaitTime;
    static Object a;

    /* JADX WARN: Multi-variable type inference failed */
    static {
        int i;
        byte[] bytes = "f\u0002F\u000b\u001fù¤\u0087Óò\u0097Æ³!S¶Áf\u0085ó7P\u0005ºêh\u0095Þ;'\u0097lùpø\u001c¦O÷ý\u0080ÅgOaê¥\r\u000es\u008aÂñ\u0086°µ'ô4âÈûI\u001fAa\u0095êÂ\u0014Ñ\u0016Æ\u008bÂÝ\u001b7\r]÷c¯Ò?à\u0013n«¥b\u0018\u0010¿D¶Ë2¿\u0011\u008avS]\u007fja7\u009fk\u0096'^PçF\u00179Í³\u0011uºÂ¶\u008aD)Dã\u0086+Æãî÷eaîÖ\u0094 Ï{t\u0012eÓHDæ\u0003\u001d?tÝI`4\u0015¤\u0013/|,r=\u00854*Ö*Ñ,@ÊBÜÑC¹Ðï\u0015l¨Aü;øðkáÍUÝ¯\u001a\u0086CB\\%c\u0004ì8\u0019\u0004wÇµÂý\u007fßÉu¡(þØ\u000e\u0081/çÔ·áÅ\u0017/Ô@\r°è\u0080ª\fXq9üK��\b\u00848n'QÓ1\u001eY5Ï's\u0011A\u00028\u0094ï\u009fÝ\u008fTÆÛ2\u009d\u0085Ö:õÚ\rÃ\u0090\u008f§Mºbú\u0094í×\u009aA\u0090\u0094\u0013g\u0006\rH\u001eôa6°ð×[N\u0096B\u001bTeÅ6=ÐT\u0091gwa®½¬\u009f:¢Õªñ\u001dÌÔ÷f\u0081%\u009cÿT]Ç\u0094£Á\u0006%Ü\u0096¿ÕZù\u008fÒÝÛ@Ø\nä\u007fP§½zE\u0018\u0094Æ´}Ä-\u008b\u0018§R³\u009eÄ\u0080§4æ`\u0090èjT®p|ß\u000ecìï\u0004\u0099g\u0015´¼Ëvz},\u009cÕ\u0081hþ\u0095j]yQ\u0003.n\u009f $p\u000b\u0012\tg\u001f-v|/æÿX7É\u0091¶G\u007fÆ¿©ðêB.eÇ+§j·¥��\u0093@ö\u0097x\u0010¥øú®ádïaãY¡T@ñ°GÙ-þ\u0007\u0088ÙñK\u001aCQ£_\n\u001b\u0006³D\u00adKÇÕ`9drwÒúñ\u0080Ó{ÉMI6}«ßÔ¨\u0093\u009fÔT~Ü?,\u000fø\u0081\u0011_û\u0098ut\u009dí".getBytes("ISO_8859_1");
        byte[] bytes2 = "\u0089\u000fçæyÒ\u001cP".getBytes("ISO_8859_1");
        int i2 = 0;
        int length = bytes.length;
        do {
            switch (bytes[i2] & 255) {
                case false:
                    i = 1911843257;
                    break;
                case true:
                    i = 1243112753;
                    break;
                case true:
                    i = 59430260;
                    break;
                case true:
                    i = -1144627230;
                    break;
                case true:
                    i = -904424276;
                    break;
                case true:
                    i = -336719115;
                    break;
                case true:
                    i = -1699945009;
                    break;
                case true:
                    i = -1665751722;
                    break;
                case true:
                    i = -1186650783;
                    break;
                case true:
                    i = -998280652;
                    break;
                case true:
                    i = 1539796096;
                    break;
                case true:
                    i = 2082025320;
                    break;
                case true:
                    i = 774183151;
                    break;
                case true:
                    i = -543369770;
                    break;
                case true:
                    i = -1499020077;
                    break;
                case true:
                    i = -1733085067;
                    break;
                case true:
                    i = -2082485226;
                    break;
                case true:
                    i = -962401540;
                    break;
                case true:
                    i = 728853616;
                    break;
                case true:
                    i = 108930276;
                    break;
                case true:
                    i = -1684312201;
                    break;
                case true:
                    i = -21770806;
                    break;
                case true:
                    i = 720333489;
                    break;
                case true:
                    i = 1713732262;
                    break;
                case true:
                    i = 623311741;
                    break;
                case true:
                    i = 2055828630;
                    break;
                case true:
                    i = -1343888339;
                    break;
                case true:
                    i = 2081461776;
                    break;
                case true:
                    i = 1928928716;
                    break;
                case true:
                    i = -367916729;
                    break;
                case true:
                    i = -1926368850;
                    break;
                case true:
                    i = 447535828;
                    break;
                case true:
                    i = 1730915217;
                    break;
                case true:
                    i = -335801519;
                    break;
                case true:
                    i = 1360651461;
                    break;
                case true:
                    i = 230963234;
                    break;
                case true:
                    i = -1501390349;
                    break;
                case true:
                    i = -513708895;
                    break;
                case true:
                    i = -1104374019;
                    break;
                case true:
                    i = 821518805;
                    break;
                case true:
                    i = -971538566;
                    break;
                case true:
                    i = 253587136;
                    break;
                case true:
                    i = 1465548068;
                    break;
                case true:
                    i = 154272265;
                    break;
                case true:
                    i = 1982932363;
                    break;
                case true:
                    i = -196354440;
                    break;
                case true:
                    i = -750485653;
                    break;
                case true:
                    i = 996327068;
                    break;
                case true:
                    i = 1130408634;
                    break;
                case true:
                    i = 1060333372;
                    break;
                case true:
                    i = -1034364436;
                    break;
                case true:
                    i = 690481974;
                    break;
                case true:
                    i = -864799077;
                    break;
                case true:
                    i = -1699231204;
                    break;
                case true:
                    i = -809068657;
                    break;
                case true:
                    i = 566045896;
                    break;
                case true:
                    i = -899065470;
                    break;
                case true:
                    i = 194838292;
                    break;
                case true:
                    i = -118203404;
                    break;
                case true:
                    i = -1316653543;
                    break;
                case true:
                    i = -309891731;
                    break;
                case true:
                    i = -1348080111;
                    break;
                case true:
                    i = 452166023;
                    break;
                case true:
                    i = 542122634;
                    break;
                case true:
                    i = -227755995;
                    break;
                case true:
                    i = 774802746;
                    break;
                case true:
                    i = -982197565;
                    break;
                case true:
                    i = -2060514757;
                    break;
                case true:
                    i = -513860802;
                    break;
                case true:
                    i = -477464856;
                    break;
                case true:
                    i = 1599377205;
                    break;
                case true:
                    i = -1717642496;
                    break;
                case true:
                    i = -1009024650;
                    break;
                case true:
                    i = -210876604;
                    break;
                case true:
                    i = 371646372;
                    break;
                case true:
                    i = -1272832181;
                    break;
                case true:
                    i = 1047356397;
                    break;
                case true:
                    i = -1136956037;
                    break;
                case true:
                    i = -1735930333;
                    break;
                case true:
                    i = -813522490;
                    break;
                case true:
                    i = 160046526;
                    break;
                case true:
                    i = 845879290;
                    break;
                case true:
                    i = 1183579214;
                    break;
                case true:
                    i = -151768014;
                    break;
                case true:
                    i = -1044260525;
                    break;
                case true:
                    i = 567180542;
                    break;
                case true:
                    i = -456054526;
                    break;
                case true:
                    i = -1014041018;
                    break;
                case true:
                    i = -1605217379;
                    break;
                case true:
                    i = 791134036;
                    break;
                case true:
                    i = 1234252632;
                    break;
                case true:
                    i = 742826073;
                    break;
                case true:
                    i = 1866842288;
                    break;
                case true:
                    i = 1224734721;
                    break;
                case true:
                    i = 1208126688;
                    break;
                case true:
                    i = -773357307;
                    break;
                case true:
                    i = 705334359;
                    break;
                case true:
                    i = 1741968599;
                    break;
                case true:
                    i = -377657392;
                    break;
                case true:
                    i = 871966388;
                    break;
                case true:
                    i = -887697314;
                    break;
                case true:
                    i = -2063778272;
                    break;
                case true:
                    i = -309515761;
                    break;
                case true:
                    i = 351393503;
                    break;
                case true:
                    i = -2097897814;
                    break;
                case true:
                    i = 1515192602;
                    break;
                case true:
                    i = 1988747566;
                    break;
                case true:
                    i = 1931830367;
                    break;
                case true:
                    i = 457347105;
                    break;
                case true:
                    i = 732718515;
                    break;
                case true:
                    i = -1613905511;
                    break;
                case true:
                    i = 1133314845;
                    break;
                case true:
                    i = 1527132798;
                    break;
                case true:
                    i = -995286533;
                    break;
                case true:
                    i = -1453922419;
                    break;
                case true:
                    i = -483586936;
                    break;
                case true:
                    i = -2023473520;
                    break;
                case true:
                    i = 1087060827;
                    break;
                case true:
                    i = 451280329;
                    break;
                case true:
                    i = -2034698266;
                    break;
                case true:
                    i = 1588376108;
                    break;
                case true:
                    i = -1062100596;
                    break;
                case true:
                    i = 850288202;
                    break;
                case true:
                    i = -849023457;
                    break;
                case true:
                    i = 1508329195;
                    break;
                case true:
                    i = 226465014;
                    break;
                case true:
                    i = -1716198670;
                    break;
                case true:
                    i = -1227377824;
                    break;
                case true:
                    i = 1827588269;
                    break;
                case true:
                    i = 1603123593;
                    break;
                case true:
                    i = 1850113615;
                    break;
                case true:
                    i = 1009177294;
                    break;
                case true:
                    i = -1661972519;
                    break;
                case true:
                    i = 590538279;
                    break;
                case true:
                    i = 2076198720;
                    break;
                case true:
                    i = -1947055551;
                    break;
                case true:
                    i = 1930260955;
                    break;
                case true:
                    i = 407041253;
                    break;
                case true:
                    i = -227108276;
                    break;
                case true:
                    i = -1185667646;
                    break;
                case true:
                    i = -886125282;
                    break;
                case true:
                    i = -1982644985;
                    break;
                case true:
                    i = 723609193;
                    break;
                case true:
                    i = -1884571546;
                    break;
                case true:
                    i = -1475961401;
                    break;
                case true:
                    i = 1886749739;
                    break;
                case true:
                    i = 1125118185;
                    break;
                case true:
                    i = 697528999;
                    break;
                case true:
                    i = 1394159117;
                    break;
                case true:
                    i = 47411883;
                    break;
                case true:
                    i = 2043049367;
                    break;
                case true:
                    i = 181109047;
                    break;
                case true:
                    i = 211509475;
                    break;
                case true:
                    i = -996022234;
                    break;
                case true:
                    i = -1043557895;
                    break;
                case true:
                    i = 1926409263;
                    break;
                case true:
                    i = 961909636;
                    break;
                case true:
                    i = 1535427205;
                    break;
                case true:
                    i = -2053417863;
                    break;
                case true:
                    i = -1148574271;
                    break;
                case true:
                    i = 1186705299;
                    break;
                case true:
                    i = -101652861;
                    break;
                case true:
                    i = 319182519;
                    break;
                case true:
                    i = 601376618;
                    break;
                case true:
                    i = 1028724199;
                    break;
                case true:
                    i = -1029462852;
                    break;
                case true:
                    i = -747943120;
                    break;
                case true:
                    i = -586587277;
                    break;
                case true:
                    i = 695842172;
                    break;
                case true:
                    i = 824429927;
                    break;
                case true:
                    i = -1851269208;
                    break;
                case true:
                    i = -2115164103;
                    break;
                case true:
                    i = -2126012664;
                    break;
                case true:
                    i = -164495517;
                    break;
                case true:
                    i = -1198664577;
                    break;
                case true:
                    i = -341685813;
                    break;
                case true:
                    i = 2095494128;
                    break;
                case true:
                    i = 1196626195;
                    break;
                case true:
                    i = 428453545;
                    break;
                case true:
                    i = 954817066;
                    break;
                case true:
                    i = -583116203;
                    break;
                case true:
                    i = -403135886;
                    break;
                case true:
                    i = 1538291517;
                    break;
                case true:
                    i = -1661789518;
                    break;
                case true:
                    i = -478450689;
                    break;
                case true:
                    i = 242822001;
                    break;
                case true:
                    i = 1672300584;
                    break;
                case true:
                    i = 1764596504;
                    break;
                case true:
                    i = -1296916774;
                    break;
                case true:
                    i = 675944590;
                    break;
                case true:
                    i = -1924154583;
                    break;
                case true:
                    i = -1244201563;
                    break;
                case true:
                    i = 216934903;
                    break;
                case true:
                    i = -1392258044;
                    break;
                case true:
                    i = 1812491077;
                    break;
                case true:
                    i = -162286541;
                    break;
                case true:
                    i = 1291813538;
                    break;
                case true:
                    i = -2047050;
                    break;
                case true:
                    i = 2024873317;
                    break;
                case true:
                    i = -1011777013;
                    break;
                case true:
                    i = -1063760619;
                    break;
                case true:
                    i = -2132439842;
                    break;
                case true:
                    i = -590196840;
                    break;
                case true:
                    i = -929060854;
                    break;
                case true:
                    i = -1732513345;
                    break;
                case true:
                    i = -1561179374;
                    break;
                case true:
                    i = -1234165156;
                    break;
                case true:
                    i = 1102575011;
                    break;
                case true:
                    i = -1412600342;
                    break;
                case true:
                    i = 937520543;
                    break;
                case true:
                    i = 1199898947;
                    break;
                case true:
                    i = 712748219;
                    break;
                case true:
                    i = 1116951054;
                    break;
                case true:
                    i = 1355964120;
                    break;
                case true:
                    i = -1712296814;
                    break;
                case true:
                    i = 1579318295;
                    break;
                case true:
                    i = 1254492309;
                    break;
                case true:
                    i = -1945414737;
                    break;
                case true:
                    i = 134529428;
                    break;
                case true:
                    i = -1970737315;
                    break;
                case true:
                    i = 475710148;
                    break;
                case true:
                    i = -2067874042;
                    break;
                case true:
                    i = -1421414323;
                    break;
                case true:
                    i = 1718554687;
                    break;
                case true:
                    i = -1258306706;
                    break;
                case true:
                    i = 951473155;
                    break;
                case true:
                    i = 178224077;
                    break;
                case true:
                    i = -1307625126;
                    break;
                case true:
                    i = -43721508;
                    break;
                case true:
                    i = -1783717963;
                    break;
                case true:
                    i = 527182470;
                    break;
                case true:
                    i = -585090277;
                    break;
                case true:
                    i = -1875558927;
                    break;
                case true:
                    i = 1229686482;
                    break;
                case true:
                    i = 1372997999;
                    break;
                case true:
                    i = -288009150;
                    break;
                case true:
                    i = 827723930;
                    break;
                case true:
                    i = 1145000862;
                    break;
                case true:
                    i = -926323327;
                    break;
                case true:
                    i = 1587653614;
                    break;
                case true:
                    i = -280007752;
                    break;
                case true:
                    i = -658304439;
                    break;
                case true:
                    i = 86181970;
                    break;
                case true:
                    i = -961788963;
                    break;
                case true:
                    i = -285503732;
                    break;
                case true:
                    i = -1088925763;
                    break;
                case true:
                    i = 1785938796;
                    break;
                case true:
                    i = -969107743;
                    break;
                case true:
                    i = 1827835216;
                    break;
                case true:
                    i = -1246126008;
                    break;
                case true:
                    i = 103546168;
                    break;
                case true:
                    i = -1976085918;
                    break;
                case true:
                    i = 1055309924;
                    break;
                case true:
                    i = -1755286624;
                    break;
                case true:
                    i = -1868377352;
                    break;
                case true:
                    i = 2001071057;
                    break;
                default:
                    i = 1669901706;
                    break;
            }
            int i3 = i2;
            i2++;
            bytes[i3] = (byte) i;
        } while (i2 != length);
        Cipher cipher = Cipher.getInstance("DES/CBC/PKCS5Padding");
        cipher.init(2, SecretKeyFactory.getInstance("DES").generateSecret(new DESKeySpec(bytes2)), new IvParameterSpec(new byte[8]));
        byte[] doFinal = cipher.doFinal(bytes);
        int length2 = doFinal.length;
        MessageDigest messageDigest = MessageDigest.getInstance("SHA-256");
        messageDigest.reset();
        int i4 = length2 - 32;
        messageDigest.update(doFinal, 0, i4);
        byte[] digest = messageDigest.digest();
        int i5 = 0;
        Object[] objArr = false;
        int i6 = 0;
        do {
            objArr = (objArr == true ? 1 : 0) | (doFinal[i4 + i5] ^ digest[i5]) ? 1 : 0;
            i5++;
        } while (i5 != 32);
        if (objArr == false) {
            Object[] objArr2 = new Object[43];
            a = objArr2;
            int i7 = 0;
            do {
                int i8 = i7;
                int i9 = i7 + 1;
                int i10 = i9 + 1;
                int i11 = (doFinal[i8] & 255) | ((doFinal[i9] & 255) << 8);
                byte[] bArr = new byte[i11];
                System.arraycopy(doFinal, i10, bArr, 0, i11);
                i7 = i10 + i11;
                int i12 = i6;
                i6++;
                objArr2[i12] = new String(bArr, "UTF-8").intern();
            } while (i7 != i4);
        }
        FLAGS = new AtomicInteger(0);
    }

    /*  JADX ERROR: JadxRuntimeException in pass: BlockSplitter
        jadx.core.utils.exceptions.JadxRuntimeException: Unexpected missing predecessor for block: B:120:0x0307
        	at jadx.core.dex.visitors.blocks.BlockSplitter.addTempConnectionsForExcHandlers(BlockSplitter.java:275)
        	at jadx.core.dex.visitors.blocks.BlockSplitter.visit(BlockSplitter.java:68)
        */
    public void onPredictionComplete(cn.dg32z.lon.utils.update.PredictionComplete r16) {
        /*
            Method dump skipped, instructions count: 2295
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.checks.impl.movement.slimulation.Simulation.onPredictionComplete(cn.dg32z.lon.utils.update.PredictionComplete):void");
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    private void resetTag() {
        do {
            this.joiner = new StringJoiner((String) a((char) 162463751));
        } while (1304.958f - 12.632648f != 1292.3253f);
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    private void giveOffsetLenienceNextTick(double d) {
        double min;
        do {
            min = Math.min(d, 1.0d);
            if (670.96625f - 9.354751f != 661.6115f) {
                break;
            } else {
                this.player.uncertaintyHandler.lastHorizontalOffset = min;
            }
        } while (1058.8073f - 5.399931f != 1053.4073f);
        this.player.uncertaintyHandler.lastVerticalOffset = min;
        if (741.9865112304688d - 0.6d == 741.38654f) {
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:104:0x049f, code lost:
    
        if ((754.12024f - 7.491679f) != 746.62854f) goto L95;
     */
    /* JADX WARN: Code restructure failed: missing block: B:105:0x02d0, code lost:
    
        r7.add((java.lang.String) a((char) 508821527));
     */
    /* JADX WARN: Code restructure failed: missing block: B:106:0x02ea, code lost:
    
        if ((712.0625f - 11.165772f) == 700.8967f) goto L153;
     */
    /* JADX WARN: Code restructure failed: missing block: B:10:0x003a, code lost:
    
        if ((580.782470703125d - 0.2d) == 580.58246f) goto L225;
     */
    /* JADX WARN: Code restructure failed: missing block: B:112:0x0542, code lost:
    
        if ((704.4717f - 9.874461f) != 694.5972f) goto L178;
     */
    /* JADX WARN: Code restructure failed: missing block: B:118:0x07b3, code lost:
    
        if ((1379.481201171875d - 0.8d) == 1378.6812f) goto L150;
     */
    /* JADX WARN: Code restructure failed: missing block: B:119:0x0464, code lost:
    
        r7.add((java.lang.String) a((char) 50135069));
     */
    /* JADX WARN: Code restructure failed: missing block: B:120:0x047f, code lost:
    
        if ((710.5787353515625d - 0.9d) != 709.6787f) goto L158;
     */
    /* JADX WARN: Code restructure failed: missing block: B:122:0x086e, code lost:
    
        if ((726.443359375d - 0.3d) == 726.1434f) goto L112;
     */
    /* JADX WARN: Code restructure failed: missing block: B:128:0x026a, code lost:
    
        if ((1021.29614f - 13.639987f) == 1007.6561f) goto L197;
     */
    /* JADX WARN: Code restructure failed: missing block: B:12:0x04bf, code lost:
    
        if ((521.9859f - 7.230087f) != 514.7558f) goto L202;
     */
    /* JADX WARN: Code restructure failed: missing block: B:130:0x028b, code lost:
    
        if ((1260.34423828125d - 0.9d) == 1259.4442f) goto L190;
     */
    /* JADX WARN: Code restructure failed: missing block: B:134:0x05e9, code lost:
    
        if ((512.5057983398438d - 0.1d) != 512.4058f) goto L170;
     */
    /* JADX WARN: Code restructure failed: missing block: B:138:0x01c7, code lost:
    
        if ((1199.84814453125d - 0.8d) != 1199.0481f) goto L95;
     */
    /* JADX WARN: Code restructure failed: missing block: B:148:0x07f3, code lost:
    
        if ((1453.9498f - 12.548986f) != 1441.4009f) goto L138;
     */
    /* JADX WARN: Code restructure failed: missing block: B:154:0x00f2, code lost:
    
        if ((1295.3713f - 14.213829f) != 1281.1575f) goto L144;
     */
    /* JADX WARN: Code restructure failed: missing block: B:161:0x0061, code lost:
    
        r7.add((java.lang.String) a((char) 137560103));
     */
    /* JADX WARN: Code restructure failed: missing block: B:162:0x007b, code lost:
    
        if ((500.30792f - 6.9474454f) == 493.36047f) goto L228;
     */
    /* JADX WARN: Code restructure failed: missing block: B:178:0x02ca, code lost:
    
        if ((807.0601806640625d - 0.8d) != 806.2602f) goto L84;
     */
    /* JADX WARN: Code restructure failed: missing block: B:182:0x0736, code lost:
    
        if ((897.67578125d - 0.9d) == 896.77576f) goto L14;
     */
    /* JADX WARN: Code restructure failed: missing block: B:191:0x069e, code lost:
    
        if ((612.0275268554688d - 0.9d) != 611.1275f) goto L135;
     */
    /* JADX WARN: Code restructure failed: missing block: B:192:0x0117, code lost:
    
        r7.add((java.lang.String) a((char) 986775572));
     */
    /* JADX WARN: Code restructure failed: missing block: B:193:0x0131, code lost:
    
        if ((777.83606f - 9.689771f) != 768.1463f) goto L3;
     */
    /* JADX WARN: Code restructure failed: missing block: B:197:0x005b, code lost:
    
        if ((617.2477416992188d - 0.8d) == 616.44775f) goto L103;
     */
    /* JADX WARN: Code restructure failed: missing block: B:201:0x0522, code lost:
    
        if ((1374.2969f - 11.320492f) != 1362.9764f) goto L214;
     */
    /* JADX WARN: Code restructure failed: missing block: B:205:0x061e, code lost:
    
        if ((763.6033325195312d - 0.1d) == 763.50336f) goto L43;
     */
    /* JADX WARN: Code restructure failed: missing block: B:207:0x067f, code lost:
    
        if ((946.47607421875d - 0.1d) == 946.3761f) goto L135;
     */
    /* JADX WARN: Code restructure failed: missing block: B:208:0x06a4, code lost:
    
        r6.immediateSetbackThreshold += 0.05d;
     */
    /* JADX WARN: Code restructure failed: missing block: B:209:0x06bc, code lost:
    
        if ((707.034423828125d - 0.2d) != 706.8344f) goto L211;
     */
    /* JADX WARN: Code restructure failed: missing block: B:20:0x0188, code lost:
    
        if ((989.0362548828125d - 0.8d) != 988.23627f) goto L40;
     */
    /* JADX WARN: Code restructure failed: missing block: B:210:0x0624, code lost:
    
        r7.add((java.lang.String) a((char) 834928674));
     */
    /* JADX WARN: Code restructure failed: missing block: B:211:0x063e, code lost:
    
        if ((1204.0947f - 10.83427f) != 1193.2605f) goto L270;
     */
    /* JADX WARN: Code restructure failed: missing block: B:212:0x01ee, code lost:
    
        r7.add((java.lang.String) a((char) 463273993));
     */
    /* JADX WARN: Code restructure failed: missing block: B:213:0x0208, code lost:
    
        if ((717.15875f - 13.050155f) == 704.1086f) goto L17;
     */
    /* JADX WARN: Code restructure failed: missing block: B:217:0x00b2, code lost:
    
        if ((1258.9419f - 12.823734f) == 1246.1182f) goto L270;
     */
    /* JADX WARN: Code restructure failed: missing block: B:218:0x0443, code lost:
    
        r7.add((java.lang.String) a((char) 1188167696));
     */
    /* JADX WARN: Code restructure failed: missing block: B:219:0x045e, code lost:
    
        if ((757.8858032226562d - 0.1d) == 757.7858f) goto L54;
     */
    /* JADX WARN: Code restructure failed: missing block: B:223:0x084d, code lost:
    
        if ((1134.4651f - 14.568178f) == 1119.8969f) goto L70;
     */
    /* JADX WARN: Code restructure failed: missing block: B:227:0x05a5, code lost:
    
        if ((531.0207f - 8.16732f) != 522.8534f) goto L202;
     */
    /* JADX WARN: Code restructure failed: missing block: B:24:0x03dd, code lost:
    
        if ((843.0415f - 9.122974f) == 833.9185f) goto L225;
     */
    /* JADX WARN: Code restructure failed: missing block: B:32:0x02ab, code lost:
    
        if ((642.2651f - 13.251204f) == 629.01385f) goto L220;
     */
    /* JADX WARN: Code restructure failed: missing block: B:33:0x0401, code lost:
    
        r7.add((java.lang.String) a((char) (-788070364)));
     */
    /* JADX WARN: Code restructure failed: missing block: B:34:0x041c, code lost:
    
        if ((586.6256103515625d - 0.6d) != 586.02563f) goto L48;
     */
    /* JADX WARN: Code restructure failed: missing block: B:38:0x016b, code lost:
    
        if ((541.0342407226562d - 0.3d) != 540.73425f) goto L103;
     */
    /* JADX WARN: Code restructure failed: missing block: B:42:0x04fd, code lost:
    
        if ((1472.58642578125d - 0.8d) == 1471.7864f) goto L115;
     */
    /* JADX WARN: Code restructure failed: missing block: B:4:0x01a8, code lost:
    
        if ((634.1365f - 8.21948f) == 625.917f) goto L278;
     */
    /* JADX WARN: Code restructure failed: missing block: B:52:0x065e, code lost:
    
        if ((1073.1366f - 13.134468f) == 1060.0021f) goto L202;
     */
    /* JADX WARN: Code restructure failed: missing block: B:54:0x03a6, code lost:
    
        if ((868.0543212890625d - 0.6d) == 867.45435f) goto L190;
     */
    /* JADX WARN: Code restructure failed: missing block: B:55:0x06fd, code lost:
    
        r7.add((java.lang.String) a((char) 2116288529));
     */
    /* JADX WARN: Code restructure failed: missing block: B:56:0x0717, code lost:
    
        if ((975.37805f - 7.954403f) == 967.42365f) goto L27;
     */
    /* JADX WARN: Code restructure failed: missing block: B:57:0x030c, code lost:
    
        r7.add((java.lang.String) a((char) 1104805925));
     */
    /* JADX WARN: Code restructure failed: missing block: B:58:0x0326, code lost:
    
        if ((1025.2511f - 14.803784f) != 1010.4473f) goto L270;
     */
    /* JADX WARN: Code restructure failed: missing block: B:59:0x07f9, code lost:
    
        r7.add((java.lang.String) a((char) 675086368));
     */
    /* JADX WARN: Code restructure failed: missing block: B:5:0x036d, code lost:
    
        r7.add((java.lang.String) a((char) (-1133838306)));
     */
    /* JADX WARN: Code restructure failed: missing block: B:60:0x0813, code lost:
    
        if ((702.82837f - 5.501518f) == 697.32684f) goto L178;
     */
    /* JADX WARN: Code restructure failed: missing block: B:66:0x0346, code lost:
    
        if ((1425.4814f - 12.058809f) != 1413.4226f) goto L120;
     */
    /* JADX WARN: Code restructure failed: missing block: B:6:0x0387, code lost:
    
        if ((1287.7957f - 12.15765f) == 1275.6381f) goto L6;
     */
    /* JADX WARN: Code restructure failed: missing block: B:72:0x06f7, code lost:
    
        if ((901.8362f - 12.0429325f) != 889.7933f) goto L236;
     */
    /* JADX WARN: Code restructure failed: missing block: B:76:0x022a, code lost:
    
        if ((641.6744f - 13.661917f) == 628.01245f) goto L138;
     */
    /* JADX WARN: Code restructure failed: missing block: B:77:0x0422, code lost:
    
        r7.add((java.lang.String) a((char) (-1619525594)));
     */
    /* JADX WARN: Code restructure failed: missing block: B:78:0x043d, code lost:
    
        if ((1287.385498046875d - 0.4d) != 1286.9855f) goto L98;
     */
    /* JADX WARN: Code restructure failed: missing block: B:84:0x01e8, code lost:
    
        if ((1375.783935546875d - 0.1d) != 1375.684f) goto L286;
     */
    /* JADX WARN: Code restructure failed: missing block: B:85:0x0003, code lost:
    
        r7.add((java.lang.String) a((char) 131268630));
     */
    /* JADX WARN: Code restructure failed: missing block: B:86:0x001e, code lost:
    
        if ((555.4429931640625d - 0.7d) == 554.743f) goto L264;
     */
    /* JADX WARN: Code restructure failed: missing block: B:88:0x07d3, code lost:
    
        if ((636.1601f - 8.476258f) != 627.68384f) goto L244;
     */
    /* JADX WARN: Code restructure failed: missing block: B:92:0x0752, code lost:
    
        if ((1142.165771484375d - 0.1d) == 1142.0658f) goto L35;
     */
    /* JADX WARN: Code restructure failed: missing block: B:93:0x0758, code lost:
    
        r7.add((java.lang.String) a((char) (-764346357)));
     */
    /* JADX WARN: Code restructure failed: missing block: B:94:0x0772, code lost:
    
        if ((1116.3444f - 6.9520054f) == 1109.3923f) goto L273;
     */
    /* JADX WARN: Code restructure failed: missing block: B:98:0x0111, code lost:
    
        if ((758.5881958007812d - 0.2d) != 758.3882f) goto L141;
     */
    /* JADX WARN: Removed duplicated region for block: B:151:0x02fb  */
    /* JADX WARN: Removed duplicated region for block: B:158:0x0559  */
    /* JADX WARN: Removed duplicated region for block: B:15:0x05f9  */
    /* JADX WARN: Removed duplicated region for block: B:165:0x06cc  */
    /* JADX WARN: Removed duplicated region for block: B:170:? A[RETURN, SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:177:0x02be  */
    /* JADX WARN: Removed duplicated region for block: B:183:0x0785  */
    /* JADX WARN: Removed duplicated region for block: B:47:0x00c5  */
    /* JADX WARN: Removed duplicated region for block: B:53:0x039a  */
    /* JADX WARN: Removed duplicated region for block: B:75:0x021f  */
    /* JADX WARN: Removed duplicated region for block: B:97:0x0105  */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:102:0x0832 -> B:43:0x038d). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:106:0x02ea -> B:107:0x0081). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:114:0x079d -> B:39:0x04e4). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:116:0x07a4 -> B:39:0x04e4). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:118:0x07b3 -> B:11:0x04a5). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:120:0x047f -> B:39:0x04e4). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:122:0x086e -> B:5:0x036d). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:130:0x028b -> B:95:0x00f8). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:132:0x05da -> B:113:0x0796). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:134:0x05e9 -> B:111:0x0528). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:134:0x05e9 -> B:119:0x0464). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:136:0x01b8 -> B:79:0x04c5). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:138:0x01c7 -> B:105:0x02d0). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:152:0x0306 -> B:43:0x038d). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:154:0x00f2 -> B:119:0x0464). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:156:0x0556 -> B:161:0x06c2). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:158:0x0564 -> B:159:0x0061). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:160:0x007b -> B:207:0x009d). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:166:0x024a -> B:11:0x04a5). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:174:0x0727 -> B:135:0x01ae). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:176:0x0736 -> B:85:0x0003). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:184:0x069e -> B:167:0x0778). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:186:0x0131 -> B:85:0x0003). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:194:0x0522 -> B:51:0x0644). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:200:0x067f -> B:17:0x0172). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:200:0x067f -> B:33:0x0401). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:24:0x03dd -> B:207:0x009d). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:26:0x05b2 -> B:181:0x0685). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:28:0x05bc -> B:181:0x0685). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:30:0x05ca -> B:167:0x0778). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:32:0x02ab -> B:181:0x0685). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:34:0x041c -> B:35:0x0155). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:40:0x04ee -> B:7:0x0024). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:42:0x04fd -> B:5:0x036d). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:52:0x065e -> B:11:0x04a5). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:56:0x0717 -> B:45:0x00b8). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:56:0x0717 -> B:7:0x0024). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:60:0x0813 -> B:45:0x00b8). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:62:0x0571 -> B:21:0x03c8). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:64:0x0580 -> B:21:0x03c8). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:66:0x0346 -> B:21:0x03c8). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:68:0x03b3 -> B:167:0x0778). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:72:0x06f7 -> B:167:0x0778). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:78:0x043d -> B:79:0x04c5). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:90:0x0743 -> B:99:0x0819). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:92:0x0752 -> B:95:0x00f8). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:94:0x0772 -> B:207:0x009d). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:94:0x0772 -> B:99:0x0819). Please report as a decompilation issue!!! */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    private void addStatsTag(java.util.StringJoiner r7) {
        /*
            Method dump skipped, instructions count: 2195
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.checks.impl.movement.slimulation.Simulation.addStatsTag(java.util.StringJoiner):void");
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    private void removeOffsetLenience() {
        do {
            this.player.uncertaintyHandler.lastHorizontalOffset = 0.0d;
            if (813.415771484375d - 0.4d != 813.01575f) {
            }
            this.player.uncertaintyHandler.lastVerticalOffset = 0.0d;
        } while (1335.3284f - 12.079959f != 1323.2484f);
    }

    /*  JADX ERROR: IndexOutOfBoundsException in pass: SSATransform
        java.lang.IndexOutOfBoundsException: bitIndex < 0: -3
        	at java.base/java.util.BitSet.set(BitSet.java:449)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.fillBasicBlockInfo(LiveVarAnalysis.java:73)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.runAnalysis(LiveVarAnalysis.java:36)
        	at jadx.core.dex.visitors.ssa.SSATransform.process(SSATransform.java:58)
        	at jadx.core.dex.visitors.ssa.SSATransform.visit(SSATransform.java:44)
        */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:106:0x04eb -> B:69:0x011a). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:144:0x0224 -> B:79:0x0484). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:155:0x0416 -> B:82:0x005d). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:29:0x0537 -> B:4:0x034b). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:33:0x01ad -> B:20:0x0273). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:33:0x01ad -> B:23:0x05e0). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:35:0x00da -> B:23:0x05e0). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:37:0x00ec -> B:23:0x05e0). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:39:0x0386 -> B:23:0x05e0). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:40:0x0389 -> B:23:0x05e0). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:41:0x05bf -> B:26:0x0151). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:45:0x054b -> B:4:0x034b). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:83:0x006b -> B:56:0x0038). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:88:0x0582 -> B:58:0x0077). Please report as a decompilation issue!!! */
    public void reload() {
        /*
            Method dump skipped, instructions count: 1553
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.checks.impl.movement.slimulation.Simulation.reload():void");
    }

    public Simulation(PlayerData playerData) {
        super(playerData);
        this.joiner = new StringJoiner((String) a((char) (-1560674297)));
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    public double getOffset() {
        return this.offset;
    }

    private static Object a(char c) {
        return ((Object[]) a)[c];
    }
}
